package com.sdtool.common.entity.design;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * 设计字体
 */
public class DesignFont extends BaseEntity {
    @RColumn("id")
    @Comment("")
    private long id;

    @RColumn("fontname")
    @Comment("字体名称")
    private String fontName;

    @Comment("")
    @RColumn("fontfamily")
    private String fontFamily;

    @RColumn("fontthumburl")
    @Comment("字体缩略图")
    private String fontThumbUrl;

    @RColumn("voidflag")
    @Comment("")
    private int voidFlag;

    @RColumn("fontfilepath")
    @Comment("字体链接")
    private String fontFilePath;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getFontName() {
        return fontName;
    }

    public void setFontName(String fontName) {
        this.fontName = fontName;
    }

    public String getFontThumbUrl() {
        return fontThumbUrl;
    }

    public void setFontThumbUrl(String fontThumbUrl) {
        this.fontThumbUrl = fontThumbUrl;
    }

    public int getVoidFlag() {
        return voidFlag;
    }

    public void setVoidFlag(int voidFlag) {
        this.voidFlag = voidFlag;
    }

    public String getFontFilePath() {
        return fontFilePath;
    }

    public void setFontFilePath(String fontFilePath) {
        this.fontFilePath = fontFilePath;
    }

    public String getFontFamily() {
        return fontFamily;
    }

    public void setFontFamily(String fontFamily) {
        this.fontFamily = fontFamily;
    }
}
